Name: task-gnome
Epoch:   1
Version: 48.0
Release: %mkrel 2
Summary: Metapackage for GNOME desktop environment
Group: Graphical desktop/GNOME
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal
Recommends: brasero
Recommends: caribou
Recommends: caribou-gtk3
Recommends: cheese
Recommends: gnome-connections
Recommends: loupe
Recommends: epiphany
Recommends: evince
Recommends: evolution
Recommends: file-roller
Recommends: gnome-calculator
Recommends: gdm
Recommends: gnome-text-editor
Recommends: gnome-backgrounds
Recommends: gnome-boxes
Recommends: gnome-builder
Recommends: gnome-calendar
Recommends: gnome-characters
Recommends: gnome-clocks
Recommends: gnome-color-manager
Recommends: gnome-contacts
Recommends: gnome-disk-utility
Recommends: gnome-epub-thumbnailer
Recommends: gnome-directory-thumbnailer
Recommends: gnome-font-viewer
Recommends: gnome-games
Recommends: gnome-maps
Recommends: gnome-music
Recommends: gnome-multi-writer
Recommends: gnome-photos
Recommends: gnome-sound-recorder
Recommends: gnome-system-monitor
Recommends: endeavour
Recommends: gnome-usage
Recommends: gnome-weather
Recommends: gucharmap
Recommends: mousetweaks
Recommends: nautilus-sendto
Recommends: orca
Recommends: rhythmbox
Recommends: shotwell
Recommends: simple-scan
Recommends: sushi
Recommends: bijiben
Recommends: totem
Recommends: vinagre
Recommends: gnome-remote-desktop
Recommends: baobab
Recommends: gnome-system-log
Recommends: gnome-search-tool
Recommends: gnome-dictionary
Recommends: gnome-screenshot

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running GNOME.

%package minimal
Summary: Minimal dependencies needed for GNOME desktop
Group: Graphical desktop/GNOME
Requires: accountsservice
Requires: adwaita-icon-theme
Requires: gnome-control-center
Requires: gnome-power-manager
Requires: gnome-console
Requires: gnome-themes-extra
Requires: nautilus
Requires: networkmanager
Requires: gnome-shell
# classic alternative:
Requires: gnome-classic-session
Requires: yelp
# vendor specific:
Requires: %{_real_vendor}-theme
# not strictly required modules
Recommends: gnome-tweaks
Recommends: task-sound
# vendor specific:
Recommends: drakconf
Recommends: mageiawelcome
# legacy systray (needed for mgaonline, net_applet, hplip)
Recommends: gnome-shell-extension-appindicator

# like task-kde4, but suggests instead of requires
Recommends: task-x11 >= 1-2
# following tasks only have recommend, no requires
Requires:   task-codec-audio
Requires:   task-codec-video

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal GNOME desktop environment.

%files

%files minimal


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1:48.0-2.mga10
+ Revision: 2249053
- Mageia 10 Mass Rebuild

* Fri Mar 21 2025 daviddavid <daviddavid> 1:48.0-1.mga10
+ Revision: 2167789
- new version 48.0

* Fri Sep 20 2024 daviddavid <daviddavid> 1:47.0-1.mga10
+ Revision: 2099171
- new version 47.0

* Tue Mar 19 2024 daviddavid <daviddavid> 1:46.0-1.mga10
+ Revision: 2050913
- new version 46.0

* Thu Sep 28 2023 tv <tv> 1:45.0-1.mga10
+ Revision: 1991642
- Update to 45.0
- Loupe replaces Eog

* Sun Jun 04 2023 daviddavid <daviddavid> 1:44.2-1.mga9
+ Revision: 1960930
- new version 44.2

* Thu Apr 27 2023 tmb <tmb> 1:44.1-1.mga9
+ Revision: 1955179
- Gnome stack is now at 44.1

* Tue Apr 25 2023 daviddavid <daviddavid> 1:44.0-2.mga9
+ Revision: 1954870
- time to refresh the list

* Mon Apr 24 2023 daviddavid <daviddavid> 1:44.0-1.mga9
+ Revision: 1954799
- new version 44.0
+ martinw <martinw>
- remove recommends for obsolete gnome-documents

* Fri Sep 23 2022 tv <tv> 1:43.0-1.mga9
+ Revision: 1891797
- 43.0 replaces:
  o gedit by gnome-text-editor
  o gnome-terminal by gnome-console

* Thu Jun 09 2022 tv <tv> 1:42.2-1.mga9
+ Revision: 1863700
- Bump rel to 42.2

* Wed Mar 16 2022 tv <tv> 1:40.0-2.mga9
+ Revision: 1794621
- Deps on virtual task-sound rather than task-pulseaudio

* Sat Aug 21 2021 tv <tv> 1:40.0-1.mga9
+ Revision: 1742088
- Bump version to 40.0

* Mon Sep 14 2020 daviddavid <daviddavid> 1:3.38.0-1.mga8
+ Revision: 1626492
- new version 3.38.0

* Tue Jul 21 2020 ovitters <ovitters> 1:3.37.2-1.mga8
+ Revision: 1607652
- recommend connections (for task-gnome)

* Sat Apr 11 2020 ovitters <ovitters> 1:3.36.0-2.mga8
+ Revision: 1566297
- recommend gnome-directory-thumbnailer

* Thu Mar 19 2020 daviddavid <daviddavid> 1:3.36.0-1.mga8
+ Revision: 1557951
- new version 3.36.0

* Sun Feb 16 2020 umeabot <umeabot> 1:3.34.0-2.mga8
+ Revision: 1531570
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 daviddavid <daviddavid> 1:3.34.0-1.mga8
+ Revision: 1440397
- new version 3.34.0

* Thu Mar 28 2019 ovitters <ovitters> 1:3.32.0-2.mga7
+ Revision: 1380864
- add gnome-usage to task-gnome

* Tue Mar 12 2019 daviddavid <daviddavid> 1:3.32.0-1.mga7
+ Revision: 1374666
- new version 3.32.0

* Sun Feb 03 2019 martinw <martinw> 1:3.30.0-3.mga7
+ Revision: 1362968
- recommend gnome-shell-extension-topicons (mga#23795)

* Fri Sep 21 2018 umeabot <umeabot> 1:3.30.0-2.mga7
+ Revision: 1291740
- Mageia 7 Mass Rebuild

* Wed Sep 05 2018 daviddavid <daviddavid> 1:3.30.0-1.mga7
+ Revision: 1257222
- new version: 3.30.0

* Wed Feb 07 2018 ovitters <ovitters> 1:3.27.90-1.mga7
+ Revision: 1199606
- new version 3.27.90

* Thu Jul 06 2017 tmb <tmb> 1:3.24.2-1.mga6
+ Revision: 1109072
- bump ver

* Sun Sep 18 2016 akien <akien> 1:3.20.3-2.mga6
+ Revision: 1053699
- mageia-theme-gnome merged into mageia-theme

* Tue Aug 02 2016 ovitters <ovitters> 1:3.20.3-1.mga6
+ Revision: 1044304
- new version 3.20.3

* Thu Dec 17 2015 ovitters <ovitters> 1:3.19.2-2.mga6
+ Revision: 911185
- remove ekiga (gtk2)
- new version 3.19.2

* Wed Oct 14 2015 ovitters <ovitters> 1:3.18.0-2.mga6
+ Revision: 891384
- recommend gnome-todo

* Sat Oct 03 2015 tv <tv> 1:3.18.0-1.mga6
+ Revision: 885880
- bump version

* Sun Aug 30 2015 ovitters <ovitters> 1:3.17.90-1.mga6
+ Revision: 871397
- 3.17.90
- add gnome-calendar
- add gnome-characters

* Mon Jun 22 2015 ovitters <ovitters> 1:3.17.0-1.mga6
+ Revision: 839899
- recommend gnome-builder

* Mon Jan 05 2015 ovitters <ovitters> 1:3.14.2-2.mga5
+ Revision: 808684
- recommends gnome-multi-writer

* Sun Jan 04 2015 ovitters <ovitters> 1:3.14.2-1.mga5
+ Revision: 808376
- add requires on task-codec-{audio,video}

* Wed Oct 15 2014 umeabot <umeabot> 1:3.13.3-3.mga5
+ Revision: 740653
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.13.3-2.mga5
+ Revision: 689704
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Jun 26 2014 ovitters <ovitters> 1:3.13.3-1.mga5
+ Revision: 640163
- new version 3.13.3

* Sat May 03 2014 wally <wally> 1:3.12.0-2.mga5
+ Revision: 619833
- switch to adwaita-icon-theme

* Mon Mar 31 2014 dams <dams> 1:3.12.0-1.mga5
+ Revision: 610927
- new version 3.12.0

* Mon Mar 24 2014 ovitters <ovitters> 1:3.11.92-1.mga5
+ Revision: 607795
- add gnome-epub-thumbnailer

* Mon Feb 17 2014 ovitters <ovitters> 1:3.10.1-4.mga5
+ Revision: 593879
- add suggest on gnome-sound-recorder

* Wed Dec 18 2013 tv <tv> 1:3.10.1-3.mga4
+ Revision: 558381
- require gnome-classic-session so that the fallback is actually offered

* Tue Oct 22 2013 umeabot <umeabot> 1:3.10.1-2.mga4
+ Revision: 542309
- Mageia 4 Mass Rebuild

* Mon Oct 21 2013 ovitters <ovitters> 1:3.10.1-1.mga4
+ Revision: 537755
- new version 3.10.1

* Mon Oct 14 2013 ovitters <ovitters> 1:3.10.0-3.mga4
+ Revision: 497326
- make task-gnome-minimal require gnome-icon-theme

* Sat Sep 28 2013 ennael <ennael> 1:3.10.0-2.mga4
+ Revision: 488553
- add mageiawelcome as a suggest

* Thu Sep 26 2013 ovitters <ovitters> 1:3.10.0-1.mga4
+ Revision: 486515
- new version 3.10.0

* Thu Aug 22 2013 ovitters <ovitters> 1:3.9.90-2.mga4
+ Revision: 469494
- suggest gnome-music

* Wed Aug 21 2013 ovitters <ovitters> 1:3.9.90-1.mga4
+ Revision: 468951
- suggest gnome-maps
- require gnome-shell
- new version 3.9.90
+ dams <dams>
- replace 'tomboy' with 'bijiben' (so no more need of mono)

* Wed Jul 31 2013 ovitters <ovitters> 1:3.9.5-2.mga4
+ Revision: 461697
- remove gnome-maps due to problem with a dependency

* Wed Jul 31 2013 ovitters <ovitters> 1:3.9.5-1.mga4
+ Revision: 461678
- new version 3.9.5
- add gnome-maps

* Thu May 30 2013 dams <dams> 1:3.8.2-4.mga4
+ Revision: 432972
- replace 'gcalctool' with 'gnome-calculator'
- delete no longer available 'nautilus-sendto-bluetooth' and 'nautilus-sendto-evolution'
- add 'nautilus-sendto'

* Mon May 27 2013 ovitters <ovitters> 1:3.8.2-3.mga4
+ Revision: 428713
- remove gnome-panel and metacity from task-gnome-minimal requires: fallback mode is gone in GNOME 3.8
- add gnome-photos
- add gnome-weather

* Sun May 26 2013 blino <blino> 1:3.8.2-1.mga4
+ Revision: 427764
- match GNOME version (3.8.2)

* Mon Jan 14 2013 umeabot <umeabot> 1:3.6.2-2.mga3
+ Revision: 384063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 ovitters <ovitters> 1:3.6.2-1.mga3
+ Revision: 327157
- match GNOME version (3.6.2)

* Wed Dec 05 2012 dams <dams> 1:3.5.91-2.mga3
+ Revision: 326983
- remove 'evolution-webcal' (obsoleted by Götz)

* Wed Sep 12 2012 ovitters <ovitters> 1:3.5.91-1.mga3
+ Revision: 292774
- suggest gnome-clocks in task-gnome

* Sat Jul 07 2012 ovitters <ovitters> 1:3.5.3-1.mga3
+ Revision: 268621
- remove suggests on preload,readahead
- new version 3.5.3

* Wed Apr 25 2012 dams <dams> 1:3.4.1-4.mga2
+ Revision: 233254
- set version as 3.4.1
- add 'simple-scan' as a suggest

* Mon Apr 16 2012 ennael <ennael> 1:3.4.0-3.mga2
+ Revision: 231071
- mageia-gnome-theme is a require

* Tue Apr 03 2012 ovitters <ovitters> 1:3.4.0-2.mga2
+ Revision: 228232
- Suggest mageia-theme-gnome for GDM+GNOME3 background (mga#4419)

* Tue Mar 27 2012 ovitters <ovitters> 1:3.4.0-1.mga2
+ Revision: 227118
- set version as 3.4.0

* Fri Mar 16 2012 ovitters <ovitters> 1:3.3.2-11.mga2
+ Revision: 223699
- ensure all missing GNOME core modules are suggested in task-gnome

* Wed Mar 14 2012 ovitters <ovitters> 1:3.3.2-10.mga2
+ Revision: 223354
- suggest task-x11 in task-gnome-minimal (mga#4138)

* Mon Mar 12 2012 ovitters <ovitters> 1:3.3.2-9.mga2
+ Revision: 223076
- revert changes of release 8

* Mon Mar 12 2012 ovitters <ovitters> 1:3.3.2-8.mga2
+ Revision: 223037
- ensure gnome-utils is installed (mga#4903)

* Thu Mar 01 2012 ovitters <ovitters> 1:3.3.2-7.mga2
+ Revision: 216420
- make gnome-tweak-tool a suggest
- sort the Requires: headers in -minimal package

* Thu Mar 01 2012 dams <dams> 1:3.3.2-6.mga2
+ Revision: 216406
+ rebuild (emptylog)

* Thu Mar 01 2012 dams <dams> 1:3.3.2-5.mga2
+ Revision: 216365
- replace 'f-spot' by 'shotwell' as photo manager

* Mon Feb 13 2012 tv <tv> 1:3.3.2-4.mga2
+ Revision: 208340
- Suggests drakconf in minimal package

* Mon Feb 13 2012 tv <tv> 1:3.3.2-3.mga2
+ Revision: 208336
- Suggests drakconf

* Sat Dec 10 2011 ovitters <ovitters> 1:3.3.2-2.mga2
+ Revision: 180245
- drop gconf-editor as per discussion with anssi

* Thu Dec 01 2011 ovitters <ovitters> 1:3.3.2-1.mga2
+ Revision: 174974
- add gnome-boxes

* Sat Oct 29 2011 wally <wally> 1:3.3.1-2.mga2
+ Revision: 159638
- really obsolete gnome-utils

* Sat Oct 29 2011 wally <wally> 1:3.3.1-1.mga2
+ Revision: 159604
- new version 3.3.1
- obsolete gnome-utils as it was splitted out to a multiple projects

* Mon Sep 26 2011 fwang <fwang> 1:3.2.0-1.mga2
+ Revision: 148647
- 3.2.0

* Sat Sep 17 2011 ovitters <ovitters> 1:3.1.91-4.mga2
+ Revision: 144531
- fix description

* Sat Sep 17 2011 ovitters <ovitters> 1:3.1.91-3.mga2
+ Revision: 144457
- add metacity requires, add comment for future reference

* Sat Sep 17 2011 fwang <fwang> 1:3.1.91-2.mga2
+ Revision: 144453
- suggests caribou-gtk3

* Sat Sep 17 2011 fwang <fwang> 1:3.1.91-1.mga2
+ Revision: 144448
- revise for gnome 3.2

* Sat Sep 10 2011 ovitters <ovitters> 1:2-0.6.mga2
+ Revision: 142244
- Add new GNOME 3.2 programs: sushi, gnome-contacts, gnome-documents
- add gnome-backgrounds as suggests as it is an offical GNOME Core dependency
+ mikala <mikala>
- Add gnome-icon-theme-symbolic as a requires on task-gnome-minimal (need for icon panel)

* Fri Jun 17 2011 dmorgan <dmorgan> 1:2-0.4.mga2
+ Revision: 108668
- Add gnome-tweak-tool

* Thu Jun 16 2011 dmorgan <dmorgan> 1:2-0.3.mga2
+ Revision: 108331
- Update requires

* Wed Jun 15 2011 dmorgan <dmorgan> 1:2-0.2.mga2
+ Revision: 107880
- Better requires gnome-themes-standard than all his subpackages

* Wed Jun 15 2011 dmorgan <dmorgan> 1:2-0.1.mga2
+ Revision: 106759
- Add some more requires for gnome3
- Remove buildroot
  Remove old obsoletes

* Sat Apr 16 2011 blino <blino> 1:1-2.mga1
+ Revision: 86489
- fix suggested theme package name

* Sun Mar 27 2011 dmorgan <dmorgan> 1:1-1.mga1
+ Revision: 78136
- Fix version

* Sun Mar 27 2011 dmorgan <dmorgan> 1:Cauldron-1.mga1
+ Revision: 78125
- Fix task version

* Tue Jan 18 2011 blino <blino> 2010.1-6.mga1
+ Revision: 22332
- use vendor macro for suggested theme name
- imported package task-gnome


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.1-5mdv2011.0
+ Revision: 607977
- rebuild

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-4mdv2010.1
+ Revision: 543319
- Move some requirements from gnome-settings-daemon to tasks

* Fri Apr 16 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-3mdv2010.1
+ Revision: 535397
- do not install evolution-tracker for now, not stable enough

* Thu Apr 15 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-2mdv2010.1
+ Revision: 535106
- fix title
- replace beagle with tracker

* Wed Feb 03 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-1mdv2010.1
+ Revision: 500168
- Suggests gnome-color-manager

* Mon Oct 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-3mdv2010.0
+ Revision: 454068
- gnome-volume-manager functions are now provided by nautilus

* Mon Sep 21 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-2mdv2010.0
+ Revision: 446445
- Replace pidgin with empathy

* Wed Jun 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-1mdv2010.0
+ Revision: 388883
- Suggests cheese (Mdv bug #44716)

* Thu Mar 12 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-1mdv2009.1
+ Revision: 354234
- Move suggest of gnome-media to task-gnome-minimal
- Remove suggests on nautilus-cd-burner, it is replaced by brasero

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2009.0-6mdv2009.1
+ Revision: 351499
- rebuild

* Mon Oct 27 2008 Pixel <pixel@mandriva.com> 2009.0-5mdv2009.1
+ Revision: 297561
- transform most Requires into Suggests to allow removing those pkgs while still
  keeping task-gnome installed (otherwise it creates many "orphans")

* Fri Sep 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 288690
- Move preload suggest to minimal package, and add readahead as well

* Thu Sep 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 288121
- Add preload as suggests, reduce login time at startup

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 276533
- Add more accessibility apps, as suggests
- enforce gnome-power-manager installation

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-1mdv2009.0
+ Revision: 245405
- reset version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-5mdv2009.0
+ Revision: 225622
- rebuild

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-4mdv2008.1
+ Revision: 191683
- Suggests brasero (Mdv bug #39721)

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 178834
- Suggests task-pulseaudio in task-gnome-minimal

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 176015
- Remove gthumb from dependencies
- Add vino and vinagre
- Rename gaim into pidgin

* Fri Feb 15 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 168768
- Add suggests on nautilus-sendto-bluetooth and nautilus-sendto-evolution (Mdv bug #29336)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2007-5mdv2008.1
+ Revision: 128245
- kill re-definition of %%buildroot on Pixel's request

  + Frederic Crozat <fcrozat@mandriva.com>
    - Move requirement on bug-buddy into a suggests and move it to task-gnome-minimal


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2007-5mdv2007.1
+ Revision: 149245
- Add evince dependency to main package

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2007-4mdv2007.1
+ Revision: 144805
- Pull beagle-gui, not beagle
- Pull beagle-evolution
- Remove specfile translation, they are in separate package now

  + Jérôme Soyer <saispo@mandriva.org>
    - Import task-gnome

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-3mdv2007.0
- Add more applications

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-2mdv2007.0
- Replace gnopernicus with orca

* Tue Jul 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-1mdv2007.0
- Rename gnome2 package as task-gnome-mininal and merge into task-gnome

* Thu Aug 11 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 2006-1mdk
- package created for Mandriva

